#!/usr/bin/env python

import socket
import struct

from mod_python import apache
from msb_web import *

def handler(req, xml, conf): 
	xml.data("<msb:request>index</msb:request>\n")
	xml.data("<msb:title>MSB Web</msb:title>\n")

	remote = req.get_remote_host(apache.REMOTE_NOLOOKUP)
	if not remote:
		raise RuntimeError("Unable to determine remote host ")

	(ip,) = struct.unpack("l", socket.inet_aton(remote))
	ip = socket.ntohl(ip)

	db = MSBSQL(conf)
	curs = db.cursor()
	curs.execute("SELECT account_id FROM msb_ip_map WHERE ip = %d" % ip)

	row = curs.fetchone()
	if not row:
		raise RuntimeError("No such IP: %s" % remote)

	raise MSBRedirect("http://void/~psha/msb/info.py?aid=%s" % row[0])
